/*  $Header: /home/cvsroot/dvipdfmx/src/dpxfile.h,v 1.2 2004/08/08 15:16:01 hirata Exp $
    
    This is dvipdfmx, an eXtended version of dvipdfm by Mark A. Wicks.

    Copyright (C) 2002 by Jin-Hwan Cho and Shunsaku Hirata,
    the dvipdfmx project team <dvipdfmx@project.ktug.or.kr>
    
    Copyright (C) 1998, 1999 by Mark A. Wicks <mwicks@kettering.edu>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
*/

#ifndef _DPXFILE_H_
#define _DPXFILE_H_

#define DPX_RES_TYPE_FONTMAP 0

#define DPX_RES_TYPE_T1FONT  8
#define DPX_RES_TYPE_TTFONT  9
#define DPX_RES_TYPE_OTFONT  10
#define DPX_RES_TYPE_PKFONT  11

#define DPX_RES_TYPE_ENC     16
#define DPX_RES_TYPE_CMAP    17
#define DPX_RES_TYPE_SFD     18

#include "mfileio.h"
extern FILE *dpx_open_file (const char *filename, int type);

#define DPXFOPEN(n,t)  dpx_open_file((const char *)(n),(t))
#define DPXFCLOSE(f)   MFCLOSE((f))

#endif /* _DPXFILE_H_ */
